org.fourthline.cling.support.model

## Class AVTransport

- java.lang.Object
- - org.fourthline.cling.support.model.AVTransport

-     public class AVTransport
      extends Object

  State of one logical instance of the AV Transport service.
  Author:
    Christian Bauer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DeviceCapabilities` | `deviceCapabilities`
    `protected UnsignedIntegerFourBytes` | `instanceID`
    `protected LastChange` | `lastChange`
    `protected MediaInfo` | `mediaInfo`
    `protected PositionInfo` | `positionInfo`
    `protected TransportInfo` | `transportInfo`
    `protected TransportSettings` | `transportSettings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AVTransport(UnsignedIntegerFourBytes instanceID, LastChange lastChange, StorageMedium possiblePlayMedium)`
    `AVTransport(UnsignedIntegerFourBytes instanceID, LastChange lastChange, StorageMedium[] possiblePlayMedia)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeviceCapabilities` | `getDeviceCapabilities()`
    `UnsignedIntegerFourBytes` | `getInstanceId()`
    `LastChange` | `getLastChange()`
    `MediaInfo` | `getMediaInfo()`
    `PositionInfo` | `getPositionInfo()`
    `TransportInfo` | `getTransportInfo()`
    `TransportSettings` | `getTransportSettings()`
    `void` | `setDeviceCapabilities(DeviceCapabilities deviceCapabilities)`
    `void` | `setMediaInfo(MediaInfo mediaInfo)`
    `void` | `setPositionInfo(PositionInfo positionInfo)`
    `void` | `setTransportInfo(TransportInfo transportInfo)`
    `void` | `setTransportSettings(TransportSettings transportSettings)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instanceID

          protected final UnsignedIntegerFourBytes instanceID

    - #### lastChange

          protected final LastChange lastChange

    - #### mediaInfo

          protected MediaInfo mediaInfo

    - #### transportInfo

          protected TransportInfo transportInfo

    - #### positionInfo

          protected PositionInfo positionInfo

    - #### deviceCapabilities

          protected DeviceCapabilities deviceCapabilities

    - #### transportSettings

          protected TransportSettings transportSettings

  - ### Constructor Detail

    - #### AVTransport

          public AVTransport(UnsignedIntegerFourBytes instanceID,
                             LastChange lastChange,
                             StorageMedium possiblePlayMedium)

    - #### AVTransport

          public AVTransport(UnsignedIntegerFourBytes instanceID,
                             LastChange lastChange,
                             StorageMedium[] possiblePlayMedia)

  - ### Method Detail

    - #### getInstanceId

          public UnsignedIntegerFourBytes getInstanceId()

    - #### getLastChange

          public LastChange getLastChange()

    - #### getMediaInfo

          public MediaInfo getMediaInfo()

    - #### setMediaInfo

          public void setMediaInfo(MediaInfo mediaInfo)

    - #### getTransportInfo

          public TransportInfo getTransportInfo()

    - #### setTransportInfo

          public void setTransportInfo(TransportInfo transportInfo)

    - #### getPositionInfo

          public PositionInfo getPositionInfo()

    - #### setPositionInfo

          public void setPositionInfo(PositionInfo positionInfo)

    - #### getDeviceCapabilities

          public DeviceCapabilities getDeviceCapabilities()

    - #### setDeviceCapabilities

          public void setDeviceCapabilities(DeviceCapabilities deviceCapabilities)

    - #### getTransportSettings

          public TransportSettings getTransportSettings()

    - #### setTransportSettings

          public void setTransportSettings(TransportSettings transportSettings)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.